package ca.recrown.islandsurvivalcraft.world.generation;

import org.bukkit.World;
import org.bukkit.block.Biome;
import org.bukkit.generator.ChunkGenerator.BiomeGrid;

import ca.recrown.islandsurvivalcraft.world.BiomeSelector;
import ca.recrown.islandsurvivalcraft.world.IslandLocationMapper;

public interface IslandBiomeGenerator {
    public void initialize(World world, IslandLocationMapper mapGenerator, BiomeSelector biome);
    public void GenerateBiome(int chunkX, int chunkZ, int localX, int localZ, BiomeGrid biomeGrid);
    public IslandBiomeGenerator getInstance();
}
